@charset "utf-8";

/*
	#기능: 사용자 : 로그인, 회원가입, 아이디찾기, 비밀번호찾기
*/

.login-wrap {position: relative;height: 100vh;overflow: hidden;}
.login-wrap .logo {position: absolute;top: 20px;left: 40px;z-index: 999;}
.login-wrap .logo a {display: block;padding: 10px;}
.login-wrap .logo a img {}
.login-contents {display: flex;align-items: center;width: 100%;height: 100%;}
.login-contents .left {width: 60%;height: 100%;}
.login-contents .right {width: 40%;}

.login-visual {width: 100%;height: 100%;}
.login-visual img {width: 100%;height: 100%;object-fit: cover;}

.login-form {width: 100%;}
.login-form .container {max-width: 360px;margin: 0 auto;padding: 15px;max-height: 800px;overflow-y: auto;}
.login-form h2 {font-size: var(--font-size-28);font-weight: 800;text-align: center;margin-bottom: 40px;}
.login-form .input-text {margin-bottom: 15px;}
.login-form .input-text label {display: block;margin-bottom: 3px;font-size: var(--font-size-14);font-weight: 500;}
.login-form .input-text input {display: block;width: 100%;height: 45px;line-height: 45px;border: 1px solid #d5d5d5;border-radius: 5px;font-size: var(--font-size-14);}
.login-form .input-text input:focus {border-color: var(--primary-color);}
.login-form .input-text select {height: 45px;line-height: 45px;border: 1px solid #d5d5d5;border-radius: 5px;font-size: var(--font-size-14);}
.login-form .input-text .comment {margin-top: 3px;font-size: var(--font-size-14);color: var(--primary-color);}
.login-form .input-text .comment.red {color: #e00;}
.login-form .input-group {display: flex;align-items: center;gap: 5px;}
.login-form .input-group span {font-size: var(--font-size-14);}
.login-form .input-group.phone input {width: 68px;}
.login-form .input-group a {display: block;flex: 1 1 0;height: 45px;line-height: 45px;padding: 0 12px;background: #383838;color: #fff;text-align: center;white-space: nowrap;border-radius: 5px;font-size: var(--font-size-14);}
.login-form .time-wrap {position: relative;}
.login-form .time-wrap input {width: 179px;}
.login-form .timeLimit {position: absolute;top: 50%;right: 15px;transform: translateY(-50%);color: #999;font-size: var(--font-size-14);font-weight: 300;}
.login-form .check-input {top: 2px;}
.login-form .check-text {font-size: var(--font-size-14);}
.login-form .input-policy {position: relative; border-top: 1px solid #d2d2d2;padding-top: 12px;}
.login-form .input-policy .check-box {margin-bottom: 10px;}
.login-form .input-policy .policy-btn {position: absolute;top: 8px;right: 0;background: #aaa;padding: 4px 12px;border-radius: 3px;font-size: var(--font-size-14);color: #fff;}
.login-form .input-policy .contents {display: none;height: 100px;overflow-y: auto !important;border: 1px solid #d2d2d2;border-radius: 5px;padding: 15px;font-size: var(--font-size-14);letter-spacing: -0.05em;}
.login-form .login-btn {display: block;width: 100%;margin: 25px 0;padding: 15px 0;background: var(--primary-color);color: #fff;border-radius: 5px;font-weight: 500;}
.login-form .register-group {display: flex;align-items: center;justify-content: center;}
.login-form .register-group a {position: relative;display: block;padding: 3px 10px;font-size: var(--font-size-14);color: #888;}
.login-form .register-group a:not(:last-child)::after {content: '';position: absolute;top: 50%;right: 0;transform: translateY(-50%);width: 1px;height: 14px;background: #d2d2d2;}
.login-form .or {position: relative;margin: 20px 0;text-align: center;z-index: 1;}
.login-form .or::before {content: '';position: absolute;top: 50%;left: 0;transform: translateY(-50%);width: 100%;height: 1px;background: #aaa;z-index: -1;}
.login-form .or span {display: inline-block;padding: 5px 20px;background: #fff;font-size: var(--font-size-14);}
.login-form .socials {margin: 20px 0;}
.login-form .socials .social {position: relative;display: block;width: 100%;margin: 10px 0;padding: 15px 0;border-radius: 5px;font-weight: 500;text-align: center;}
.login-form .socials .social::after {content: '';position: absolute;top: 50%;left: 16px;transform: translateY(-50%);width: 25px;height: 25px;}
.login-form .socials .naver {background: #03c75a;color: #fff;}
.login-form .socials .naver::after {background: url('../img/contents/login-naver.png');}
.login-form .socials .kakao {background: #f4e24f;color: #555;}
.login-form .socials .kakao::after {background: url('../img/contents/login-kakao.png');}
.login-form .result-box {border-top: 1px solid #555;padding-top: 30px;}
.login-form .result-box figure {text-align: center;}
.login-form .result-box .text-box {letter-spacing: -0.05em;text-align: center;margin-bottom: 40px;}
.login-form .result-box .text-box strong {display: block;font-size: var(--font-size-20);font-weight: 700;}
.login-form .result-box .text-box p {font-size: var(--font-size-14);}
.login-form .result-box .list {padding-bottom: 40px;}
.login-form .result-box .list li {border-top: 1px solid #ddd;border-bottom: 1px solid #ddd;padding: 15px 10px;}
.login-form .result-box .list li:not(:last-child) {margin-bottom: 20px;}
.login-form .result-box .list li dl {display: flex;align-items: center;justify-content: space-between;margin-bottom: 15px;letter-spacing: -0.05em;}
.login-form .result-box .list li dl:last-child {margin-bottom: 0;color: #142B6F;font-weight: 700;}
.login-form .result-box .login-btn {margin: 17px 0;}
.login-form .color02 {background-color: var(--seconary-color);}
.login-form .color03 {background-color: #959595;}
.login-form .btn-group {display: flex;gap: 5px;}
.login-form .back-btn {display: block;width: 100%;padding: 15px 0;border-top: 1px solid #ddd;color: #959595;}

@media screen and (max-width:1023px) {
  .login-wrap {height: 100%;}
  .login-contents .left {display: none;}
  .login-contents .right {width: 100%;}

  .login-form {margin: 90px 0;}
  .login-form .container {max-height: 100%;}
}
@media screen and (max-width:767px) {
  .login-wrap .logo {top: 5px;left: 5px;}
  .login-wrap .logo img {max-width: 110px;}

  .login-form h2 {font-size: 1.25em;margin-bottom: 20px;}
  .login-form .login-btn {padding: 13px 0;font-size: var(--font-size-14);}
  .login-form .socials .social {padding: 13px 0;font-size: var(--font-size-14);}

  .login-form .result-box {padding-top: 10px;}
  .login-form .result-box figure img {width: 80px;}
  .login-form .result-box .text-box {margin-bottom: 30px;}
  .login-form .result-box .text-box strong {font-size: var(--font-size-18);}
  .login-form .result-box .list {padding-bottom: 15px;}
  .login-form .result-box .list li dl {font-size: var(--font-size-14);}
}

/* 스크롤바 */
.scrollbar::-webkit-scrollbar { width: 3px; height: 3px; cursor:pointer;}
.scrollbar::-webkit-scrollbar-track { background-color:#eee; } /* 바 배경 색상 */
.scrollbar::-webkit-scrollbar-thumb { background: #aaa;border-radius: 3px; } /* 위치 바 색상 */

/* 모달 :: 로그인 */
.login-wrap .align-center {text-align: center;}
.login-wrap .desc-box {}
.login-wrap .reg-login-btn {display: block;width: 100%;padding: 15px 0;background: #111;color: #fff;border-radius: 5px;font-weight: 500;}
.login-wrap figure {}
.login-wrap figure img {max-width: 200px;}
